Bug 1874056 - Bump to latest available 1.19.x k8s - workloads team
Summary: Bump to latest available 1.19.x k8s - workloads team
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: oc
Version: 4.6
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.6.0
Assignee: Mike Dame
QA Contact: RamaKasturi
URL:
Whiteboard:
: 1879113 (view as bug list)
Depends On:
Blocks: 1860789 1846051
TreeView+ depends on / blocked
 
Reported: 2020-08-31 12:43 UTC by Maciej Szulik
Modified: 2020-09-21 13:53 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-authentication-operator pull 346 None closed Bug 1874056: bump library-go 2020-09-21 00:59:05 UTC
Github openshift cluster-authentication-operator pull 347 None open Bug 1874056: inline apiserver-lib-go ToFlagSlice to prevent k/k dep 2020-09-21 00:59:03 UTC
Github openshift cluster-kube-apiserver-operator pull 950 None closed Bug 1874056: bump: update library-go to get exit on control-loop failure behavior 2020-09-21 00:59:06 UTC
Github openshift cluster-kube-controller-manager-operator pull 448 None closed bug 1874056: add debugging for machine-api, mco, and node teams 2020-09-21 00:59:03 UTC
Github openshift cluster-kube-scheduler-operator pull 276 None closed Bug 1874056: bump(k8s.io): to 1.19.0 2020-09-21 00:59:06 UTC
Github openshift cluster-kube-scheduler-operator pull 279 None closed Bug 1874056: bump: update library-go to get exit on control-loop failure behavior 2020-09-21 00:59:03 UTC
Github openshift cluster-openshift-apiserver-operator pull 393 None closed Bug 1874056: bump: update library-go to get exit on control-loop failure behavior 2020-09-21 00:59:04 UTC
Github openshift descheduler pull 39 None closed Bug 1874056: 1.19.0 bump 2020-09-21 00:59:01 UTC
Github openshift oc pull 535 None closed Bug 1874056: Clean up and modify to use library-go verify package 2020-09-21 00:59:01 UTC
Github openshift oc pull 547 None closed Bug 1874056: Rebase k8s to 1.19.0 2020-09-21 00:59:01 UTC
Github openshift oc pull 563 None closed Bug 1874056: bump deps version' 2020-09-21 00:59:01 UTC
Github openshift oc pull 567 None closed Bug 1874056: Drop openshift/apiserver-library-go pin 2020-09-21 00:59:04 UTC
Github openshift origin pull 25466 None closed Bug 1874056: bump golang to 1.14 2020-09-21 00:59:04 UTC

Description Maciej Szulik 2020-08-31 12:43:06 UTC
The title says it all, applies to:
- oc
- kcm-o
- ks-o
- kd-o & descheduler

Comment 1 Mike Dame 2020-09-01 16:07:24 UTC
Moving back to assigned, other PRs in other repos need this bug too

Comment 2 Mike Dame 2020-09-10 16:11:15 UTC
I'm adding upcomingsprint, because the work for this bug is done and waiting to merge

Comment 3 Standa Laznicka 2020-09-15 13:19:33 UTC
*** Bug 1879113 has been marked as a duplicate of this bug. ***

Comment 4 Maciej Szulik 2020-09-18 10:38:38 UTC
Everything merged related to 1.19 bump, moving this to qa.

Comment 6 RamaKasturi 2020-09-21 13:53:33 UTC
Moving the bug directly to verified as verification is not required for this bug which is confirmed by maciej. see below.

"i don't think you need to do any verification, we needed a BZ to bump to latest k8s, there's no particular issues this fixes, but just brings the latest possible k8s at a time"


Note You need to log in before you can comment on or make changes to this bug.